# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::Error Class Reference

Factory methods for error objects. More...

`#include <object.h>`

List of all members.

## Static Public Member Functions

static Object | create (ExecState *exec, ErrorType errtype=GeneralError, const char *message=0, int lineno=-1, int sourceId=-1)

## Static Public Attributes

static const char *const *const | errorNames = errorNamesArr

## Detailed Description

Factory methods for error objects.

Definition at line 625 of file object.h.

## Member Function Documentation

Object Error::create | ( | ExecState * | exec,
|  | ErrorType | errtype = `GeneralError`,
|  | const char * | message = `0`,
|  | int | lineno = `-1`,
|  | int | sourceId = `-1`
| ) | `[static]`

Factory method for error objects.

Parameters:

  | exec | The current execution state
  | errtype | Type of error.
  | message | Optional error message.
  | lineno | Optional line number.
  | lineno | Optional source id.

Definition at line 501 of file object.cpp.

References KJS::List::append(), KJS::Object::construct(), KJS::Object::dynamicCast(), errorNames, and KJS::Object::put().

Referenced by KJS::Object::call(), KJS::Reference::getBase(), KJS::Reference::getValue(), and KJS::Reference::putValue().

## Member Data Documentation

const char *const *const Error::errorNames = errorNamesArr`[static]`

| Array of error names corresponding to ErrorType. Definition at line 499 of file object.cpp. Referenced by create().

The documentation for this class was generated from the following files:

- object.h
- object.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:15 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003